<?php

/**
 *
 */
class Users extends CI_Controller
{
    public function register(){
      $this->form_validation->set_rules('firstname','Nom','required|min_length[3]|trim');
      $this->form_validation->set_rules('lastname','Prénom','required|min_length[3]|trim');
      $this->form_validation->set_rules('username','Pseudo','required|min_length[3]|trim');
      $this->form_validation->set_rules('email','Email','required|trim|valid_email');
      $this->form_validation->set_rules('password','Mot de passe','required|min_length[3]|trim');
      if($this->form_validation->run() == false){
        $data['main_content'] = 'register_view';
        $this->load->view('layouts/main',$data);
      }else{
          if($this->Users_model->register()){
              $this->session->set_flashdata('registred','Compte crée avec succés');
              redirect('products');
          }
      }

    }
    public function login(){
         $this->form_validation->set_rules('email','Email','required|trim|valid_email');
         $this->form_validation->set_rules('password','Mot de passe','required|min_length[5]|trim');
         $email = $this->input->post('email');
         $passe = md5($this->input->post('password'));
         $user = $this->Users_model->login($email,$passe);
         if($user != null){
            $user_data = array(
                'id'=>$user->id,
                'email'=>$user->email,
                'logged'=>true
            );
            $this->session->set_userdata($user_data);
            $this->session->set_flashdata('logged','Vous êtes connectés');
            redirect('products');
         }else{
            $this->session->set_flashdata('fail','Email ou mot de passe est incorrect'); 
            redirect('products');
         }
    }
    public function logout(){
        $this->session->unset_userdata('id');
        $this->session->unset_userdata('email');
        $this->session->unset_userdata('logged');
        redirect('cart/cancel_cart');
     }
}



?>
